<?php 
defined('ABSPATH') or die('Access denied!');

if ( $_POST ) {
	
	if ( isset($_POST['IDEHPAY_MerchantID']) ) {
		update_option( 'IDEHPAY_MerchantID', $_POST['IDEHPAY_MerchantID'] );
	}
	
	if ( isset($_POST['IDEHPAY_IsOK']) ) {
		update_option( 'IDEHPAY_IsOK', $_POST['IDEHPAY_IsOK'] );
	}
  
	if ( isset($_POST['IDEHPAY_IsError']) ) {
		update_option( 'IDEHPAY_IsError', $_POST['IDEHPAY_IsError'] );
	}
	
  if ( isset($_POST['IDEHPAY_Unit']) ) {
		update_option( 'IDEHPAY_Unit', $_POST['IDEHPAY_Unit'] );
	}
  
  if ( isset($_POST['IDEHPAY_UseCustomStyle']) ) {
		update_option( 'IDEHPAY_UseCustomStyle', 'true' );
    
    if ( isset($_POST['IDEHPAY_CustomStyle']) )
    {
      update_option( 'IDEHPAY_CustomStyle', strip_tags($_POST['IDEHPAY_CustomStyle']) );
    }
    
	}
  else
  {
    update_option( 'IDEHPAY_UseCustomStyle', 'false' );
  }
  
	echo '<div class="updated" id="message"><p><strong>تنظیمات ذخیره شد</strong>.</p></div>';
	
}
?>
<h2 id="add-new-user">تنظیمات افزونه حمایت مالی - ایده پی</h2>
<h2 id="add-new-user">جمع تمام پرداخت ها : <?php echo get_option("IDEHPAY_TotalAmount"); ?>  تومان</h2>
<form method="post">
  <table class="form-table">
    <tbody>
      <tr class="user-first-name-wrap">
        <th><label for="IDEHPAY_MerchantID">کد دروازه پرداخت</label></th>
        <td>
          <input type="text" class="regular-text" dir="ltr" value="<?php echo get_option( 'IDEHPAY_MerchantID'); ?>" id="IDEHPAY_MerchantID" name="IDEHPAY_MerchantID">
          <p class="description indicator-hint">XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX</p>
        </td>
      </tr>
      <tr>
        <th><label for="IDEHPAY_IsOK">پرداخت صحیح</label></th>
        <td><input type="text" class="regular-text" value="<?php echo get_option( 'IDEHPAY_IsOK'); ?>" id="IDEHPAY_IsOK" name="IDEHPAY_IsOK"></td>
      </tr>
      <tr>
        <th><label for="IDEHPAY_IsError">خطا در پرداخت</label></th>
        <td><input type="text" class="regular-text" value="<?php echo get_option( 'IDEHPAY_IsError'); ?>" id="IDEHPAY_IsError" name="IDEHPAY_IsError"></td>
      </tr>
      
      <tr class="user-display-name-wrap">
        <th><label for="IDEHPAY_Unit">واحد پول</label></th>
        <td>
          <?php $IDEHPAY_Unit = get_option( 'IDEHPAY_Unit'); ?>
          <select id="IDEHPAY_Unit" name="IDEHPAY_Unit">
            <option <?php if($IDEHPAY_Unit == 'تومان' ) echo 'selected="selected"' ?>>تومان</option>
            <option <?php if($IDEHPAY_Unit == 'ریال' ) echo 'selected="selected"' ?>>ریال</option>
          </select>
        </td>
      </tr>
      
      <tr class="user-display-name-wrap">
        <th>استفاده از استایل سفارشی</th>
        <td>
          <?php $IDEHPAY_UseCustomStyle = get_option('IDEHPAY_UseCustomStyle') == 'true' ? 'checked="checked"' : ''; ?>
          <input type="checkbox" name="IDEHPAY_UseCustomStyle" id="IDEHPAY_UseCustomStyle" value="true" <?php echo $IDEHPAY_UseCustomStyle ?> /><label for="IDEHPAY_UseCustomStyle">استفاده از استایل سفارشی برای فرم</label><br>
        </td>
      </tr>
      
      
      <tr class="user-display-name-wrap" id="IDEHPAY_CustomStyleBox" <?php if(get_option('IDEHPAY_UseCustomStyle') != 'true') echo 'style="display:none"'; ?>>
        <th>استایل سفارشی</th>
        <td>
          <textarea style="width: 90%;min-height: 400px;direction:ltr;" name="IDEHPAY_CustomStyle" id="IDEHPAY_CustomStyle"><?php echo get_option('IDEHPAY_CustomStyle') ?></textarea><br>
        </td>
      </tr>
      
    </tbody>
  </table>
  <p class="submit"><input type="submit" value="به روز رسانی تنظیمات" class="button button-primary" id="submit" name="submit"></p>
</form>

<script>
  if(typeof jQuery == 'function')
  {
    jQuery("#IDEHPAY_UseCustomStyle").change(function(){
      if(jQuery("#IDEHPAY_UseCustomStyle").prop('checked') == true)
        jQuery("#IDEHPAY_CustomStyleBox").show(500);
      else
        jQuery("#IDEHPAY_CustomStyleBox").hide(500);
    });
  }
</script>

